Skip to main content

List transactions

Returns all transactions associated with your account in reverse chronological order. You can filter by type, status, and date range.
GET /api/v1/transactions/

Authentication

x-api-key: your_api_key
x-api-secret: your_api_secret

Query parameters

page
integer
Page number. Defaults to 1.
limit
integer
Number of results per page. Defaults to 20.
type
string
Filter by transaction type. Supported values:
  • virtual_account
  • bank_transfer
  • bill_payment
  • card_payment
  • account_inquiry
  • credit
  • debit
  • invoice_payment
  • product_purchase
  • subscription_payment
  • verification_payment
  • opay_payment
  • ussd_payment
status
string
Filter by transaction status. One of: pending, processing, completed, success, failed, canceled.
dateFrom
string
ISO 8601 date-time. Return only transactions created on or after this timestamp. Example: "2024-04-01T00:00:00Z".
dateTo
string
ISO 8601 date-time. Return only transactions created on or before this timestamp. Example: "2024-04-30T23:59:59Z".

Example request

cURL
curl --request GET \
  --url 'https://api.hyparrow.com/api/v1/transactions/?page=1&limit=20&type=card_payment&status=completed&dateFrom=2024-04-01T00:00:00Z' \
  --header 'x-api-key: your_api_key' \
  --header 'x-api-secret: your_api_secret'

Example response

200 OK
{
  "success": true,
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "clientId": "7e9a1b2c-3d4e-5f60-a7b8-c9d0e1f2a3b4",
      "customerId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "type": "card_payment",
      "status": "completed",
      "amount": 500000,
      "currency": "NGN",
      "reference": "TXN-20240401-001",
      "description": "",
      "provider": "interswitch",
      "channel": "card",
      "responseCode": "00",
      "responseMessage": "Approved by Financial Institution",
      "completedAt": "2024-04-23T10:30:00Z",
      "createdAt": "2024-04-23T10:29:45Z",
      "updatedAt": "2024-04-23T10:30:00Z",
      "metadata": {}
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "clientId": "7e9a1b2c-3d4e-5f60-a7b8-c9d0e1f2a3b4",
      "invoiceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "type": "invoice_payment",
      "status": "completed",
      "amount": 43000000,
      "currency": "NGN",
      "reference": "VA-PAY-20240423",
      "provider": "interswitch",
      "channel": "virtual_account",
      "responseCode": "00",
      "completedAt": "2024-04-23T11:00:00Z",
      "createdAt": "2024-04-23T10:59:00Z",
      "updatedAt": "2024-04-23T11:00:00Z",
      "metadata": {}
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 2,
    "totalPages": 1
  }
}

Response fields

data
array
Array of transaction objects.
pagination
object
Pagination metadata.